# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.231   -> 1.232  
#	   drivers/usb/hub.c	1.12    -> 1.13   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/22	greg@kroah.com	1.232
# USB hub
# 
# remove duplicate check.
# Thanks to Itai Nahshon <nahshon@actcom.co.il> for pointing this out.
# --------------------------------------------
#
diff -Nru a/drivers/usb/hub.c b/drivers/usb/hub.c
--- a/drivers/usb/hub.c	Fri Mar 22 15:48:06 2002
+++ b/drivers/usb/hub.c	Fri Mar 22 15:48:06 2002
@@ -550,10 +550,6 @@
 		if (!(portstatus & USB_PORT_STAT_CONNECTION))
 			return 1;
 
-		/* Device went away? */
-		if (!(portstatus & USB_PORT_STAT_CONNECTION))
-			return 1;
-
 		/* bomb out completely if something weird happened */
 		if ((portchange & USB_PORT_STAT_C_CONNECTION))
 			return -1;
